Page MenuHomePhabricator

Scap plugins in operations/mediawiki-config don't pass tox, so CI is disabled
Closed, ResolvedPublic

Description

https://gerrit.wikimedia.org/r/#/c/operations/mediawiki-config/+/581137/ is an empty commit, has a -1
tox-docker failed:

Console
16:37:56 using tox.ini: /src/tox.ini (pid 120)
16:37:56 could not satisfy requires DistributionNotFound(Requirement.parse('tox-wikimedia'), None)
16:37:56 using tox-3.10.0 from /usr/local/lib/python3.5/dist-packages/tox/__init__.py (pid 120)
16:37:56 .tox cannot reuse: no previous config /src/.tox/.tox/.tox-config1
16:37:56 .tox create: /src/.tox/.tox
16:37:56 [124] /src/.tox$ /usr/bin/python3 -m virtualenv --no-download --python /usr/bin/python3 .tox >.tox/log/.tox-0.log
16:37:57 .tox installdeps: tox-wikimedia, tox >= 3.10.0
16:37:57 [131] /src$ /src/.tox/.tox/bin/python -m pip install tox-wikimedia 'tox >= 3.10.0' >.tox/.tox/log/.tox-1.log
16:37:59 write config to /src/.tox/.tox/.tox-config1 as '3d5f1192f2260a73414496ba8bcc52c5 /usr/bin/python3\n3.10.0 0 1 0\n00000000000000000000000000000000 tox-wikimedia\n00000000000000000000000000000000 tox >= 3.10.0'
16:37:59 [137] /src$ /src/.tox/.tox/bin/python -m tox -v
16:37:59 using tox.ini: /src/tox.ini (pid 137)
16:37:59 using tox-3.14.5 from /src/.tox/.tox/lib/python3.5/site-packages/tox/__init__.py (pid 137)
16:37:59 py27-flake8 cannot reuse: no previous config /src/.tox/py27-flake8/.tox-config1
16:37:59 py27-flake8 create: /src/.tox/py27-flake8
16:37:59 [144] /src/.tox$ /src/.tox/.tox/bin/python -m virtualenv --no-download --python /usr/bin/python2.7 py27-flake8 >py27-flake8/log/py27-flake8-0.log
16:38:00 py27-flake8 installdeps: flake8
16:38:00 [152] /src$ /src/.tox/py27-flake8/bin/python -m pip install flake8 >.tox/py27-flake8/log/py27-flake8-1.log
16:38:01 py27-flake8 develop-inst: /src
16:38:01 write config to /src/.tox/py27-flake8/.tox-config1 as 'd4c7f18feeab3db374ce0af3b94b054afc62e8be0f6001b19011081a003549e9 /usr/bin/python2.7\n3.14.5 0 1 0\n00000000000000000000000000000000 flake8'
16:38:01 [158] /src$ /src/.tox/py27-flake8/bin/python -m pip install --exists-action w -e . >.tox/py27-flake8/log/py27-flake8-2.log
16:38:02 [169] /src$ /src/.tox/py27-flake8/bin/python -m pip freeze >.tox/py27-flake8/log/py27-flake8-3.log
16:38:02 py27-flake8 installed: DEPRECATION: Python 2.7 reached the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 is no longer maintained. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support,configparser==4.0.2,entrypoints==0.3,enum34==1.1.10,flake8==3.7.9,functools32==3.2.3.post2,mccabe==0.6.1,# Editable Git install with no remote (mediawiki-config==0.1.0),-e /src,pycodestyle==2.5.0,pyflakes==2.1.1,typing==3.7.4.1
16:38:02 py27-flake8 run-test-pre: PYTHONHASHSEED='846950829'
16:38:02 py27-flake8 run-test: commands[0] | flake8
16:38:02 [171] /src$ /src/.tox/py27-flake8/bin/flake8
16:38:03 py35-flake8 cannot reuse: no previous config /src/.tox/py35-flake8/.tox-config1
16:38:03 py35-flake8 create: /src/.tox/py35-flake8
16:38:03 [186] /src/.tox$ /src/.tox/.tox/bin/python -m virtualenv --no-download --python .tox/bin/python py35-flake8 >py35-flake8/log/py35-flake8-0.log
16:38:03 ERROR: invocation failed (exit code 1), logfile: /src/.tox/py35-flake8/log/py35-flake8-0.log
16:38:03 ================================== log start ===================================
16:38:03 RuntimeError: failed to find interpreter for Builtin discover of python_spec='.tox/bin/python'
16:38:03 
16:38:03 =================================== log end ====================================
16:38:03 ERROR: InvocationError for command /src/.tox/.tox/bin/python -m virtualenv --no-download --python .tox/bin/python py35-flake8 (exited with code 1)
16:38:03 py37-flake8 cannot reuse: no previous config /src/.tox/py37-flake8/.tox-config1
16:38:03 py37-flake8 create: /src/.tox/py37-flake8
16:38:03 [190] /src/.tox$ /src/.tox/.tox/bin/python -m virtualenv --no-download --python /usr/bin/python3.7 py37-flake8 >py37-flake8/log/py37-flake8-0.log
16:38:04 py37-flake8 installdeps: flake8
16:38:04 [198] /src$ /src/.tox/py37-flake8/bin/python -m pip install flake8 >.tox/py37-flake8/log/py37-flake8-1.log
16:38:05 py37-flake8 develop-inst: /src
16:38:05 write config to /src/.tox/py37-flake8/.tox-config1 as '3ff4904ee9862b74b271379b27591b4ca46b83a80b7d4144ad0eb951d48d35f5 /usr/bin/python3.7\n3.14.5 0 1 0\n00000000000000000000000000000000 flake8'
16:38:05 [204] /src$ /src/.tox/py37-flake8/bin/python -m pip install --exists-action w -e . >.tox/py37-flake8/log/py37-flake8-2.log
16:38:06 [215] /src$ /src/.tox/py37-flake8/bin/python -m pip freeze >.tox/py37-flake8/log/py37-flake8-3.log
16:38:06 py37-flake8 installed: entrypoints==0.3,flake8==3.7.9,mccabe==0.6.1,# Editable Git install with no remote (mediawiki-config==0.1.0),-e /src,pycodestyle==2.5.0,pyflakes==2.1.1
16:38:06 py37-flake8 run-test-pre: PYTHONHASHSEED='846950829'
16:38:06 py37-flake8 run-test: commands[0] | flake8
16:38:06 [217] /src$ /src/.tox/py37-flake8/bin/flake8
16:38:07 ___________________________________ summary ____________________________________
16:38:07   py27-flake8: commands succeeded
16:38:07 ERROR:   py35-flake8: InvocationError for command /src/.tox/.tox/bin/python -m virtualenv --no-download --python .tox/bin/python py35-flake8 (exited with code 1)
16:38:07   py37-flake8: commands succeeded
16:38:07 + capture_tox_logs
16:38:07 + cp --recursive /src/.tox/py27-flake8/log/py27-flake8-0.log /src/.tox/py27-flake8/log/py27-flake8-1.log /src/.tox/py27-flake8/log/py27-flake8-2.log /src/.tox/py27-flake8/log/py27-flake8-3.log /src/.tox/py35-flake8/log/py35-flake8-0.log /src/.tox/py37-flake8/log/py37-flake8-0.log /src/.tox/py37-flake8/log/py37-flake8-1.log /src/.tox/py37-flake8/log/py37-flake8-2.log /src/.tox/py37-flake8/log/py37-flake8-3.log /log
16:38:07 + cp --recursive /src/.tox/log /log

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
DannyS712 triaged this task as Unbreak Now! priority.Mar 18 2020, 11:40 PM
DannyS712 moved this task from Unsorted to Reports on the User-DannyS712 board.
DannyS712 added a subscriber: 20after4.

Change 581154 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] zuul: [operations/mediawiki-config] Disable tox job for now, as it's failing

https://gerrit.wikimedia.org/r/581154

Change 581154 merged by jenkins-bot:
[integration/config@master] zuul: [operations/mediawiki-config] Disable tox job for now, as it's failing

https://gerrit.wikimedia.org/r/581154

Jdforrester-WMF lowered the priority of this task from Unbreak Now! to High.Mar 19 2020, 12:15 AM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

This wasn't and isn't a train blocker, just a regular kind of UBN. Worked around for now.

This wasn't and isn't a train blocker, just a regular kind of UBN. Worked around for now.

Train couldn't merged, so I assumed. Sorry for the panic

thcipriani lowered the priority of this task from High to Medium.Mar 25 2020, 5:16 PM
thcipriani added a subscriber: thcipriani.

We have this switched off linting for the moment, planning on moving these plugins back into scap core Soon™. Lowering priority for the time being.

Jdforrester-WMF renamed this task from operations/mediawiki-config master branch failing tests to Scap plugins in operations/mediawiki-config don't pass tox, so CI is disabled.May 11 2020, 4:57 PM

Change 601388 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop scap plugins, moved into scap proper

https://gerrit.wikimedia.org/r/601388

Change 601388 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop scap plugins, moved into scap proper

https://gerrit.wikimedia.org/r/601388

Change 631213 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] Zuul: [operations/mediawiki-config] Drop tox-docker, no longer used

https://gerrit.wikimedia.org/r/631213

Change 631213 merged by jenkins-bot:
[integration/config@master] Zuul: [operations/mediawiki-config] Drop tox-docker, no longer used

https://gerrit.wikimedia.org/r/631213